Skip to main content
GET
Returns a target

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

siteId
string
required
targetId
string
required

target identifier

Response

successful operation

targetId
string
required

Target id

Example:

"2FD7EADA83E24121C5EC0CFCBBEBCF819E08BDD845163E1C9D451737CC12BCFC"

generationTs
string<date-time>
required

The generation timestamp for the target

Example:

"2021-07-21T22:00:00Z"

beginDate
string<date-time>
required

The timestamp at which the target period starts

Example:

"2021-12-31T23:00:00Z"

endDate
string<date-time>
required

The timestamp at which the target period ends

Example:

"2022-12-31T23:00:00Z"

type
enum<string>
required

The fluid type for the target (ELEC or CARBON)

Available options:
ELEC,
CARBON
Example:

"ELEC"

unit
enum<string>
required

The designated unit type for the target, which can be either EURO or KWH

Available options:
EURO,
KWH
Example:

"EURO"

targetValue
integer
required

The yearly value for the target

Example:

3000

targetValueEquivalent
integer
required

The yearly value for the target, once converted to the other unit

Example:

12000

defaultTargetValue
integer
required

The yearly default value for the target; the reference value based on similar homes or past consumptions

Example:

3300

defaultTargetValueEquivalent
integer
required

The yearly default value for the target, once converted to the other unit

Example:

13200

isActive
boolean
required

Flag set to true when the target period is ongoing

Example:

true

notificationChannels
string[]
required

The channels used to send notifications (EMAIL, SMS, both or none)

Example:
notificationType
enum<string>
required

The condition that defines whether a notification should be sent or not

Available options:
NONE,
ON_DIST_INDEX_RECEPTION,
THRESHOLD_OVERRUN
Example:

"NONE"

name
string
required

The target's name

Example:

"My target"